
import vaex as vx

def random_unique_column(df, column_name):
    """
    This function randomly selects a unique column from a Vaex DataFrame that does not match the provided column name.
    """
    if column_name not in df.columns:
        raise ValueError(f"Column '{column_name}' does not exist in the DataFrame.")
    
    unique_columns = [col for col in df.columns if col != column_name]
    selected_column = vx.random.choice(unique_columns)
    return selected_column

